Skip to content
Order Management

Trade Detail Inquiry V3

Trade Detail Inquiry V3

GEThttps://b-api.longbridge.xyz/v3/whaleapi/trade/execution/all

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Parameters

symbolstringOptional

Stock Symbol, in ticker.region format

start_atstringOptional
end_atstringOptional
account_nostringRequired

Account Profile

pagestringOptional

Page number

order_idstringOptional

Order ID

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
has_morebooleanrequired

Is there more data available. Is there more data available

tradesarray<object>required

trades

Child attributes
order_idstringrequired

Order ID. Order ID

trade_idstringrequired

Trade ID. Trade ID

quantitystringrequired

Executed Quantity. Executed Quantity

pricestringrequired

Executed Price. Executed Price

trade_done_atstringrequired

Executed Time, in Unix timestamp seconds (成交时间,格式为时间戳

symbolstringrequired

Stock Symbol, in ticker.region format. Stock Symbol, in ticker.region format

sideobjectrequired

side

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs